<?php
if (!function_exists('bk_welcome_template')) {
    function bk_welcome_template() {
        $theme_plugins = TGM_Plugin_Activation::$instance->plugins;
        // Arrange The Plugins, Required Plugins will be first.
        $requiredPlugins = array();
        
        foreach ($theme_plugins as $theme_plugin) {
            if($theme_plugin['required'] == 1) {
                array_push($requiredPlugins, $theme_plugin);
            }
        }
        $allRequiredPluginsActivate = 0;
        foreach ($requiredPlugins as $theme_plugin) {
            if (is_plugin_active( $theme_plugin['file_path'])) {
                $allRequiredPluginsActivate = 1;
            }else {
                $allRequiredPluginsActivate = 0;
                break;
            }
        }
    ?>
    <br />
    <div class="page-wrap" style="margin: 20px 30px 0 2px;">
        <div class="nav-tab-wrapper">
            <a href="admin.php?page=bk-theme-welcome" class="nav-tab nav-tab-active">Welcome</a>
            <a href="admin.php?page=bk-theme-plugins" class="nav-tab">Plugins</a>
            <?php if ( $allRequiredPluginsActivate ) {?>
                <a href="admin.php?page=bk-theme-demos" class="nav-tab">Install demos</a>
                <a href="admin.php?page=bk-system-status" class="nav-tab">System status</a>
                <a href="admin.php?page=_options" class="nav-tab">Theme Options</a>
            <?php }?>
        </div>   
        <div class="postbox bkpostbox">
        	<div class="hndle" style="padding: 15px 30px;">
                <h1><?php esc_html_e('Welcome to Rubik', 'bkninja'); ?></h1>
                <p class="bk-admin-notice">
        			Thank you for using our theme, Rubik is now installed and ready to use!
        		</p>
                <?php if (! $allRequiredPluginsActivate ) {?>
                <p class="bk-admin-notice">
        			Note: You should install all required plugins and activate them to have Full Options of Rubik.
        		</p>
                <?php }?>
            </div>
        </div>
    	
    	
    	<br class="clear"/>
    
    </div>
    
    <?php
    }
}